Main Page Class List Class Members

# VHACD::VHACD Class Reference

`#include <vhacdVHACD.h>`

Inheritance diagram for VHACD::VHACD:

List of all members.

## Public Member Functions
void | Cancel ()
void | Clean (void)
bool | Compute (const double *const points, const uint32_t nPoints, const uint32_t *const triangles, const uint32_t nTriangles, const Parameters &params)
bool | Compute (const float *const points, const uint32_t nPoints, const uint32_t *const triangles, const uint32_t nTriangles, const Parameters &params)
virtual bool | ComputeCenterOfMass (double centerOfMass[3]) const
virtual uint32_t | ComputeConstraints (void)
virtual const Constraint * | GetConstraint (uint32_t index) const
void | GetConvexHull (const uint32_t index, ConvexHull &ch) const
uint32_t | GetNConvexHulls () const
bool | OCLInit (void *const oclDevice, IUserLogger *const logger=0)
bool | OCLRelease (IUserLogger *const logger=0)
void | Release (void)
| VHACD ()
| Constructor.
| ~VHACD (void)
| Destructor.

## Constructor & Destructor Documentation

VHACD::VHACD::VHACD | ( |  | ) | `[inline]`

Constructor.

VHACD::VHACD::~VHACD | ( | void |  | ) | `[inline]`

Destructor.

## Member Function Documentation

void VHACD::VHACD::Cancel | ( |  | ) | `[inline, virtual]`

Implements VHACD::IVHACD.

void VHACD::VHACD::Clean | ( | void |  | ) | `[inline, virtual]`

Implements VHACD::IVHACD.

bool VHACD::VHACD::Compute | ( | const double *const | points,
|  | const uint32_t | nPoints,
|  | const uint32_t *const | triangles,
|  | const uint32_t | nTriangles,
|  | const Parameters & | params |
| ) |  |  | `[virtual]`

Implements VHACD::IVHACD.

bool VHACD::VHACD::Compute | ( | const float *const | points,
|  | const uint32_t | nPoints,
|  | const uint32_t *const | triangles,
|  | const uint32_t | nTriangles,
|  | const Parameters & | params |
| ) |  |  | `[virtual]`

Implements VHACD::IVHACD.

virtual bool VHACD::VHACD::ComputeCenterOfMass | ( | double | centerOfMass[3] | ) | const`[virtual]`

Implements VHACD::IVHACD.

virtual uint32_t VHACD::VHACD::ComputeConstraints | ( | void |  | ) | `[virtual]`

Implements VHACD::IVHACD.

virtual const Constraint* VHACD::VHACD::GetConstraint | ( | uint32_t | index | ) | const`[virtual]`

Implements VHACD::IVHACD.

void VHACD::VHACD::GetConvexHull | ( | const uint32_t | index,
|  | ConvexHull & | ch |
| ) |  |  | const`[inline, virtual]`

Implements VHACD::IVHACD.

uint32_t VHACD::VHACD::GetNConvexHulls | ( |  | ) | const`[inline, virtual]`

Implements VHACD::IVHACD.

bool VHACD::VHACD::OCLInit | ( | void *const | oclDevice,
|  | IUserLogger *const | logger = `0` |
| ) |  |  | `[virtual]`

Implements VHACD::IVHACD.

bool VHACD::VHACD::OCLRelease | ( | IUserLogger *const | logger = `0` | ) | `[virtual]`

Implements VHACD::IVHACD.

void VHACD::VHACD::Release | ( | void |  | ) | `[inline, virtual]`

Implements VHACD::IVHACD.

The documentation for this class was generated from the following file:

- sdk/extensions/authoring/source/VHACD/inc/vhacdVHACD.h